<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>HTML Tables and Forms and Semantic HTML</title>
	</head>
	<body>

		<header>
			<h1>HTML Tables and Forms</h1>
		</header>

		<main>
			<section>
				<h3>HTML Entities</h3>

				<p><em>Reserved characters in HTML (e.g &lt; or &gt; characters that mix up with HTML codes).</em></p>

				<!-- 
					Defines an HTML Table
				 -->
				 <table border="1">
				 	<!-- Used to group table header contents -->
				 	<thead>
				 		<!-- Define a table row -->
				 		<tr>
				 			<!-- Defines a table header element -->
				 			<th colspan="2">Entity</th>
				 			<th>Description</th>
				 		</tr>
				 	</thead>
				 	<!-- Used to group table body contents -->
				 	<tbody>
				 		<tr>
				 			<!-- Define table data elements -->
				 			<td> &lt; </td>
				 			<td> lt </td>
				 			<td>less than</td>
				 		</tr>
				 		<tr>
				 		
				 			<td> &gt; </td>
				 			<td> gt </td>
				 			<td>greater than</td>
				 		</tr>
				 		<tr>
				 		 
				 			<td> &#8369; </td>
				 			<td> #8369 </td>
				 			<td>peso sign</td>
				 		</tr>
				 		<tr>
				 		
				 			<td> &amp; </td>
				 			<td> amp </td>
				 			<td>ampersand</td>
				 		</tr>
				 		<tr>
				 		
				 			<td> &quot; </td>
				 			<td> quot </td>
				 			<td>double quotation mark</td>
				 		</tr>
				 		<tr>
				 		
				 			<td>&apos;</td>
				 			<td>apos</td>
				 			<td>single quotation mark</td>
				 		</tr>
				 		<tr>
				 		
				 			<td>&ntilde;</td>
				 			<td>ntilde</td>
				 			<td>lower tilde</td>
				 		</tr>
				 		<tr>
				 		
				 			<td>&utilde;</td>
				 			<td>utilde</td>
				 			<td>upper tilde</td>
				 		</tr>
				 	</tbody>
				 	<!-- Used to group table footer contents -->
				 	<tfoot>
				 		<tr>
				 			<th colspan="3">List of HTML Entities</th>
				 		</tr>
				 	</tfoot>
				 </table>
			</section>
			<br>
			<hr>
			<section>
			 	<h3>HTML Forms</h3>

			 	<p><em>Input elements that make up a form</em></p>
			 	<!-- Creates an HTML form to capture user input -->
			 	<form action="https://google.com">
			 		<!--  Creates a label and allows for input field selection when clicked -->
			 		<label for="full_name">Full Name:</label> <br>
			 		<!-- Creates an input field top capture user input -->
			 		<input type="text" name="full_name" id="full_name" required> <br><br>
			 		<label for="birth_date">Birth Date:</label> <br>
			 		<input type="Date" name="birth_date" id="birth_date" required> <br><br>
			 		<label for="age">Age:</label> <br>
			 		<input type="number" name="age" id="age" required> <br><br>

			 		<!-- Creates a drop down menu -->
			 		<label for="gender">Gender</label>
			 		<select name="gender" id="gender">
			 			<option value="Male">Male</option>
			 			<option value="Female">Female</option>
			 		</select> <br><br>
			 		<!-- text area -->
			 		<label for="notes">Notes:</label><br>
			 		<textarea name="notes" id="notes" rows="5"></textarea> <br><br>

			 		<!-- Radio Buttons -->
			 		<label for="new_user">New User:</label><br>
			 		<input type="radio" name="new_user" id="user-type1">
			 		<label for="user-type1">Yes</label> <br>

			 		<input type="radio" name="new_user" id="user-type2">
			 		<label for="user-type2">No</label> <br> <br>

			 		<label>Role</label> <br>
			 		<input type="checkbox" name="role1" value="developer">
			 		<label for="role1">Developer</label> <br>
			 		<input type="checkbox" name="role2" value="student">
			 		<label for="role2">Student</label> <br>
			 		<input type="checkbox" name="role3" value="manager">
			 		<label for="role3">Manager</label> <br>


			 		<!-- Creates a button that will submit the form data -->
			 		<button type="submit">Submit</button>
			 		<!-- Creates a button to reset the form data -->
			 		<button type="reset">Reset</button>
			 	</form>
			</section>
		</main>

		 

	</body>
</html>